<?php

namespace Mahasiswa\Mahasiswa\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Mahasiswa\Mahasiswa\Interfaces\MahasiswaRepositoryInterface;

class MahasiswaPublicController extends BaseController
{
    // use MahasiswaWorkflow;

    /**
     * Constructor.
     *
     * @param type \Mahasiswa\Mahasiswa\Interfaces\MahasiswaRepositoryInterface $mahasiswa
     *
     * @return type
     */
    public function __construct(MahasiswaRepositoryInterface $mahasiswa)
    {
        $this->repository = $mahasiswa;
        parent::__construct();
    }

    /**
     * Show mahasiswa's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $mahasiswas = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('mahasiswa::public.mahasiswa.index', compact('mahasiswas'))->render();
    }

    /**
     * Show mahasiswa.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $mahasiswa = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('mahasiswa::public.mahasiswa.show', compact('mahasiswa'))->render();
    }

}
