<?php

namespace Mahasiswa\Mahasiswa;

use User;

class Mahasiswa
{
    /**
     * $mahasiswa object.
     */
    protected $mahasiswa;

    /**
     * Constructor.
     */
    public function __construct(\Mahasiswa\Mahasiswa\Interfaces\MahasiswaRepositoryInterface $mahasiswa)
    {
        $this->mahasiswa = $mahasiswa;
    }

    /**
     * Returns count of mahasiswa.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.mahasiswa.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->mahasiswa->pushCriteria(new \Litepie\Mahasiswa\Repositories\Criteria\MahasiswaUserCriteria());
        }

        $mahasiswa = $this->mahasiswa->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('mahasiswa::' . $view, compact('mahasiswa'))->render();
    }
}
