<?php

namespace Mahasiswa\Mahasiswa\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Mahasiswa validator
        \Mahasiswa\Mahasiswa\Models\Mahasiswa::class => \Mahasiswa\Mahasiswa\Workflow\MahasiswaValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Mahasiswa actions
        \Mahasiswa\Mahasiswa\Models\Mahasiswa::class => \Mahasiswa\Mahasiswa\Workflow\MahasiswaAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Mahasiswa notifiers
        \Mahasiswa\Mahasiswa\Models\Mahasiswa::class => \Mahasiswa\Mahasiswa\Workflow\MahasiswaNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
