<?php

namespace Mahasiswa\Mahasiswa\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Mahasiswa\Mahasiswa\Models\Mahasiswa;

class MahasiswaAction
{
    /**
     * Perform the complete action.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return Mahasiswa
     */
    public function complete(Mahasiswa $mahasiswa)
    {
        try {
            $mahasiswa->status = 'complete';
            return $mahasiswa->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return Mahasiswa
     */public function verify(Mahasiswa $mahasiswa)
    {
        try {
            $mahasiswa->status = 'verify';
            return $mahasiswa->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return Mahasiswa
     */public function approve(Mahasiswa $mahasiswa)
    {
        try {
            $mahasiswa->status = 'approve';
            return $mahasiswa->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return Mahasiswa
     */public function publish(Mahasiswa $mahasiswa)
    {
        try {
            $mahasiswa->status = 'publish';
            return $mahasiswa->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return Mahasiswa
     */
    public function archive(Mahasiswa $mahasiswa)
    {
        try {
            $mahasiswa->status = 'archive';
            return $mahasiswa->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return Mahasiswa
     */
    public function unpublish(Mahasiswa $mahasiswa)
    {
        try {
            $mahasiswa->status = 'unpublish';
            return $mahasiswa->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
