<?php

namespace Mahasiswa\Mahasiswa\Workflow;

use Mahasiswa\Mahasiswa\Models\Mahasiswa;
use Mahasiswa\Mahasiswa\Notifications\Mahasiswa as MahasiswaNotifyer;
use Notification;

class MahasiswaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return void
     */
    public function complete(Mahasiswa $mahasiswa)
    {
        return Notification::send($mahasiswa->user, new MahasiswaNotifyer($mahasiswa, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return void
     */
    public function verify(Mahasiswa $mahasiswa)
    {
        return Notification::send($mahasiswa->user, new MahasiswaNotifyer($mahasiswa, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return void
     */
    public function approve(Mahasiswa $mahasiswa)
    {
        return Notification::send($mahasiswa->user, new MahasiswaNotifyer($mahasiswa, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return void
     */
    public function publish(Mahasiswa $mahasiswa)
    {
        return Notification::send($mahasiswa->user, new MahasiswaNotifyer($mahasiswa, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return void
     */
    public function archive(Mahasiswa $mahasiswa)
    {
        return Notification::send($mahasiswa->user, new MahasiswaNotifyer($mahasiswa, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Mahasiswa $mahasiswa
     *
     * @return void
     */
    public function unpublish(Mahasiswa $mahasiswa)
    {
        return Notification::send($mahasiswa->user, new MahasiswaNotifyer($mahasiswa, 'unpublish'));;

    }
}
